extends Node

signal on_log;
signal on_error;

var log_messages = []

func log(message):
	log_messages.append(String(message))
	emit_signal('on_log', log_messages)

func error(message):
	log_messages.append("Error: " + String(message))
	emit_signal('on_error', log_messages)
